<?php
define('NTLCMS', 1);
$module = 'minus';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница вывода средств - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Вывод средств</b></div>';
$error = null;
if (isset($_POST['col']) &&  isset($_POST['oplata']) ){
$summa = isset($_POST['col']) ? filter_var($_POST['col'], FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION) : '0.00';
$purse = isset($_POST['oplata']) ? filter_var($_POST['oplata'], FILTER_SANITIZE_STRING) : false;
if (empty($summa)){
$error.= 'Введите сумму для вывода средств!<br/>';
} elseif (!is_numeric($summa)){
$error.= 'Не верно введена сумма!<br/>';
} elseif ($summa < $set['mincost']){
$error.= 'Минимальная сумма для вывода '.($set['mincost']).' руб.!<br/>';
} elseif (DB :: run() -> querySingle("select (`login`) from `payment` where `login` = ? and `status` = ?", array($ulogin, 'moder'))){
$error.= 'У вас уже есть не обработанная заявка!<br/>';
} elseif ($_USER['balans'] <= 0){
$error.= 'У вас нет средств на балансе!<br/>';
} elseif ($_USER['balans'] < $summa){
$error.= 'На вашем счете нет такой суммы!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
if ($_USER['privilege'] == '1'){
$kom = $summa * (1 - (0 / 100));
} else {
$kom = $summa * (1 - ($set['commission'] / 100));
}
if (DB :: run() -> query("insert into `payment` (`date`, `status`, `login`, `money`, `money2`, `oplata`) values (?, ?, ?, ?, ?, ?)", array(TIME, 'moder', $ilogin, $kom, $summa, $purse))){
DB :: run() -> query("update `users` set `balans` = `balans` - ? where `login` = ? limit 1", array($summa, $ilogin));
header('Location: '.URL.'/finances');
$_SESSION['success'] = 'Указанная вами сумма поступит на ваш счет '.$purse.' в ближайшее время!';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/finances">Мои финансы</a></div>';
}
exit (include ('../system/foot.php'));
}
}
echo '<div class="menu2">
<i class="fa fa-angle-double-right fa-fw"></i> Баланс: '.money(round($_USER['balans'], 3)).'<br/>
<i class="fa fa-angle-double-right fa-fw"></i> Комиссия на вывод '.($_USER['privilege'] == '1' ? '0' : $set['commission']).' %<br/>
<i class="fa fa-angle-double-right fa-fw"></i> Минимальная сумма для вывода '.money(($set['mincost'])).'</div>';
if ($_USER['balans'] <= '0'){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> У вас нет средств на балансе!</center></div>';
} else {
echo '<div class="menu"><form action="'.URL.'/conclusion" method="post">
* Сумма вывода:<br/><input type="text" name="col" size="4" maxlength="5" value="'.substr($_USER['balans'], 0, 4).'"/><br/><br>
* Платежная система :<br/>';
if (!empty($_USER['payeer'])){ echo'<input name="oplata" type="radio" value="'.$_USER['payeer'].'">  <b>Payeer:</b>  '.$_USER['payeer'].'<br>';}
if (!empty($_USER['yoomoney'])){ echo'<input name="oplata" type="radio" value="'.$_USER['yoomoney'].'">  <b>YooMoney:</b>  '.$_USER['yoomoney'].'<br>';}
echo'<br><input type="submit" name="submit" value="Вывод средств"/></form></div>';
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/finances">Мои финансы</a></div>';
include ('../system/foot.php');
?>